import bb.cascades 1.0

Page {
    signal avatarSelected(string imageName)
    signal cancelled()
    
    id: pickerSheet

    titleBar: TitleBar
    {
        id: titleBarObject
        title: qsTr("Select Picture") + Retranslate.onLanguageChanged

        dismissAction: ActionItem {
            title: qsTr("Cancel") + Retranslate.onLanguageChanged

			onTriggered: {
                cancelled()
            }
        }
    }
    
    content: Container
    {
        objectName: "ListContainer"
        background: _UIStyleManager.backgroundColor
        verticalAlignment: VerticalAlignment.Fill
        horizontalAlignment: horizontalAlignment.Fill
        topPadding: 6
        leftPadding: 6
        rightPadding: 6
        bottomPadding: 6

        ListView {
            id: listView
            verticalAlignment: VerticalAlignment.Fill
            horizontalAlignment: horizontalAlignment.Fill
            objectName: "listView"
            
            layout: GridListLayout {
                horizontalCellSpacing: 6
                verticalCellSpacing: 6
                columnCount: _UILayoutManager.gridListNumColumns
            }
            
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }
            
            dataModel: ArrayDataModel {
                id: theDataModel
            }
            
            onTriggered: {
                avatarSelected( dataModel.data(indexPath) )
            }

            onCreationCompleted: {
                theDataModel.append("Butterfly.png");
			    theDataModel.append("Clover.png");
			    theDataModel.append("Flower.png");
			    theDataModel.append("Guy.png");
			    theDataModel.append("Headphone.png");
			    theDataModel.append("HockeyMask.png");
			    theDataModel.append("MapleLeaf.png");
			    theDataModel.append("Police.png");
			    theDataModel.append("Restaurant.png");
			    theDataModel.append("ShoppingBag.png");
			    theDataModel.append("Smiley.png");
			    theDataModel.append("Soccer.png");
			    theDataModel.append("Star.png");
			    theDataModel.append("SteeringWheel.png");
			    theDataModel.append("Wrench.png");
            }
            
            listItemComponents:
            [
            	ListItemComponent {
            		Container {
					    ImageView {
					        id: image
					        objectName: "image"
					        imageSource: "asset:///images/Avatars/"+ListItemData

					        horizontalAlignment: HorizontalAlignment.Center
					        verticalAlignment: VerticalAlignment.Center

					        preferredWidth: 248
					        preferredHeight: 248
					        
					    }
            		}
                }
            ]
        }
    }
}