import bb.cascades 1.0

Container {
    signal dismiss()
    signal instantReplyEditList()

    id: mainContainer

    leftPadding: _UILayoutManager.defaultPadding
    rightPadding: _UILayoutManager.defaultPadding
    topPadding: _UILayoutManager.defaultPadding + _UILayoutManager.defaultPadding / 2
    bottomPadding: _UILayoutManager.defaultPadding

    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill

	background: _UIStyleManager.systemMessageBackgroundColor

    Container {
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }

        ImageView {
            imageSource: "asset:///images/InstantReply/bbdots.png"
            verticalAlignment: VerticalAlignment.Center
        }

        Container {
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1.0
            }

            verticalAlignment: VerticalAlignment.Center
            horizontalAlignment: HorizontalAlignment.Fill

            leftPadding: _UILayoutManager.defaultPadding

            Label {
                text: qsTr("BBM Supports Instant Reply") + Retranslate.onLanguageChanged
                textStyle.color: _UIStyleManager.primaryTextColor
                textStyle.fontSize: FontSize.Medium
                textStyle.fontWeight: FontWeight.Bold
                verticalAlignment: VerticalAlignment.Center
                horizontalAlignment: HorizontalAlignment.Left
                topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0
            }
        }

        ImageButton {
            verticalAlignment: VerticalAlignment.Center
            defaultImageSource: "asset:///images/InstantReply/close_btn.png"
            pressedImageSource: "asset:///images/InstantReply/close_btn_pressed.png"
            disabledImageSource: "asset:///images/InstantReply/close_btn.png"

            onClicked: {
                dismiss()
            }
        }
    }

    Container {
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }

        ImageView {
            imageSource: "asset:///images/InstantReply/bbdots.png"
            verticalAlignment: VerticalAlignment.Center
            opacity: 0.0
        }

        Container {
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1.0
            }

            horizontalAlignment: HorizontalAlignment.Fill

            leftPadding: _UILayoutManager.defaultPadding

            Label {
                text: qsTr("You can see incoming BBM messages when you are in other applications. Tap the message to view the chat, or reply inline to quickly respond without having to open BBM.") + Retranslate.onLanguageChanged
                textStyle.color: _UIStyleManager.primaryTextColor
                textStyle.fontSize: FontSize.Small
                multiline: true
                topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0
            }
        }

        ImageButton {
            opacity: 0.0
            defaultImageSource: "asset:///images/InstantReply/close_btn.png"
            pressedImageSource: "asset:///images/InstantReply/close_btn_pressed.png"
            disabledImageSource: "asset:///images/InstantReply/close_btn.png"
        }
    }

    Container {
        topPadding: _UILayoutManager.defaultPadding + _UILayoutManager.defaultPadding / 2
        horizontalAlignment: HorizontalAlignment.Fill

        Button {
            horizontalAlignment: HorizontalAlignment.Fill

            text: qsTr("Manage Contacts") + Retranslate.onLanguageChanged
            topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0

            onClicked: {
                mainContainer.instantReplyEditList()
            }
        }
    }
}
