import bb.cascades 1.0

/*

- BBM Changed display picture 
    - Should show the new display picture and the updating contact name
- BBM Name change
    - Should show the display picture and the new contact name
- BBM Personal Message update (includes SWILT updates)
    - Should show the display picture, contact name and the new personal message



*/
//property background
Container {
	property string contactNameText:"Allison Chatham"
	property string activityText:"Anyone have time to meet for coffee downtown?"
	property string updateTimeText:"48 mins ago"
	property bool   overLayVisible: true


    layout: StackLayout {
        orientation: LayoutOrientation.TopToBottom
    }
    
    Container {
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
    
        layout: DockLayout {
        }
        
        ImageView {
            //leftMargin: 0; topMargin: 0;  rightMargin: 0; bottomMargin: 0;
            objectName: "header"
            imageSource: "asset:///images/LiveCovers/header.png"
            scalingMethod: ScalingMethod.AspectFill
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
        }
        
        Container { // one line container -  contact name and BBM icon
            maxHeight: 80
            rightPadding: 15; leftPadding: 15;
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            objectName: "TitleBarContainer"
            
            Label {
                verticalAlignment: VerticalAlignment.Center
                horizontalAlignment: HorizontalAlignment.Fill
                leftMargin: 0; topMargin: 0;  rightMargin: 0; bottomMargin: 0;
                
                layoutProperties: StackLayoutProperties {
                    spaceQuota: 1
                }
                
                text: contactNameText
                objectName: "contactNameText"
                textStyle.base: SystemDefaults.TextStyles.BodyText
                textStyle.fontSize: FontSize.Medium
                textStyle.color: Color.White
                content.flags: TextContentFlag.Emoticons
            }
            
            ImageView {
                verticalAlignment: VerticalAlignment.Center
                horizontalAlignment: HorizontalAlignment.Right
                imageSource: "asset:///images/LiveCovers/icon.png"
            }
        }
    }

    Container {

        layout: DockLayout {

        }
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        layoutProperties:StackLayoutProperties{
            spaceQuota:1
        }
        
        ImageView {
            // This is either the bbm contact avatar
            // Picture shared with group
            objectName: "background"
            imageSource: "asset:///images/LiveCovers/default_avatar.png"
            scalingMethod: ScalingMethod.AspectFill
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill


        }
        
        ImageView {
            visible: overLayVisible
            objectName: "overLay"
            imageSource: "asset:///images/LiveCovers/content_overlay.png"
            scalingMethod: ScalingMethod.AspectFill
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill

        }
        
        
        Container {           	
            verticalAlignment: VerticalAlignment.Top
            horizontalAlignment: HorizontalAlignment.Fill
            rightPadding: 15; leftPadding: 15; topPadding: 12; bottomPadding: 25; 
   	        topMargin: 0; leftMargin: 0; rightMargin: 0; //bottomMargin: 0;
        
	        Label {
                horizontalAlignment: HorizontalAlignment.Fill
	            text: activityText
	            multiline: true
	            objectName: "activityText"
	            textStyle.base: SystemDefaults.TextStyles.BodyText
	            textStyle.fontSize: FontSize.Small
	            textStyle.color: Color.White
	            content.flags: TextContentFlag.Emoticons
	        }
        }
        
        Container {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Bottom
            rightPadding: 10; leftPadding: 10; topPadding: 0; bottomPadding: 10;
            
            Label {
                horizontalAlignment: HorizontalAlignment.Fill
                leftMargin: 0; topMargin: 0;  rightMargin: 0; bottomMargin: 0;
                text: updateTimeText
                objectName: "updateTimeText"
                textStyle.base: SystemDefaults.TextStyles.BodyText
                textStyle.fontSize: FontSize.XSmall
                textStyle.color: Color.White
            } 
        }         
    }
}
