import bb.cascades 1.0

/*

- Somebody added to a group
    • Should show the display picture, contact name and the BBM group
- Somebody posted a pic in a group
    • Should show the posted picture and the group the image was posted to
- Somebody commented on a pic in a group
    • Should show the posted picture, the comment and the related group



*/
Container {

	property string contactNameText:"Olivia Wilde"
	property string activityText:"Joined a group BlackBerry Fans International."
	property string updateTimeText:"10 mins ago"
	property bool overLayVisible: true


    layout: StackLayout {
        orientation: LayoutOrientation.TopToBottom
    }
    
    Container {
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
    
        layout: DockLayout {
        }
        
        ImageView {
            objectName: "header"
            imageSource: "asset:///images/LiveCovers/header.png"
            scalingMethod: ScalingMethod.AspectFill
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
        }
        
        Container { // one line container -  contact name and BBM icon
            maxHeight: 80
            rightPadding: 15; leftPadding: 15;
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            objectName: "TitleBarContainer"

            Label {
                verticalAlignment: VerticalAlignment.Center
                horizontalAlignment: HorizontalAlignment.Fill
                leftMargin: 0; topMargin: 0;  rightMargin: 0; bottomMargin: 0;
                
                layoutProperties: StackLayoutProperties {
                    spaceQuota: 1
                }
                
                text: contactNameText
                objectName: "contactNameText"
                textStyle.base: SystemDefaults.TextStyles.BodyText
                textStyle.fontSize: FontSize.Medium
                textStyle.color: Color.White
                content.flags: TextContentFlag.Emoticons
            }
            
            ImageView {
                verticalAlignment: VerticalAlignment.Center
                horizontalAlignment: HorizontalAlignment.Right
                imageSource: "asset:///images/LiveCovers/icon.png"
            }
        }
    }

    Container {

        layout: DockLayout {
        }
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        layoutProperties:StackLayoutProperties{
            spaceQuota:1
        }
        
        ImageView {
            // This is either the bbm contact avatar
            // Picture shared with group
            objectName: "background"
            imageSource: "asset:///images/LiveCovers/default_avatar.png"
            scalingMethod: ScalingMethod.AspectFill
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill


        }
        
        ImageView {
            visible: overLayVisible
            objectName: "overLay"
            imageSource: "asset:///images/LiveCovers/content_overlay.png"
            scalingMethod: ScalingMethod.AspectFill
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
        }
        
        
        Container {          	
            verticalAlignment: VerticalAlignment.Fill
            horizontalAlignment: HorizontalAlignment.Fill
            rightPadding: 15; leftPadding: 15; topPadding: 12; bottomPadding: 25; 
   	        topMargin: 0; leftMargin: 0; rightMargin: 0; //bottomMargin: 0;
        
	        Label {
	
	            text: activityText
	            multiline: true
	            objectName: "activityText"
	            textStyle.base: SystemDefaults.TextStyles.BodyText
	            textStyle.fontSize: FontSize.Small
	            textStyle.color: Color.White
	            content.flags: TextContentFlag.Emoticons
	        }
  
        }

        Container {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Bottom
            rightPadding: 10; leftPadding: 10; topPadding: 0; bottomPadding: 10;
            
            Label {
                verticalAlignment: VerticalAlignment.Fill
                leftMargin: 0; topMargin: 0;  rightMargin: 0; bottomMargin: 0;                
                text: updateTimeText
                objectName: "updateTimeText"
                textStyle.base: SystemDefaults.TextStyles.BodyText
                textStyle.fontSize: FontSize.XSmall
                textStyle.color: Color.White
            }
        }           
    }
}
