import bb.cascades 1.0
import bb.cascades.pickers 1.0

Page
{
    id: replacePicturePage

    actions: [
        ActionItem {
            objectName: "camera"
            imageSource: "asset:///images/ic_camera.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            title: qsTr("Camera") + Retranslate.onLanguageChanged
            
            onTriggered: {
                app.handleCameraSelected()
            }
        }
    ]
    
    titleBar: TitleBar {
        title: qsTr("Select") + Retranslate.onLanguageChanged
    }
    
    ListView {
        objectName: "list"
        
        dataModel: ArrayDataModel {
            id: theDataModel
        }
        
        horizontalAlignment: HorizontalAlignment.Fill
        
        onCreationCompleted: {
            theDataModel.append( {"name": qsTr("Picture") + Retranslate.onLanguageChanged, "path": "asset:///images/file/pic_81x81.png"} )
            theDataModel.append( {"name": qsTr("Sample Picture") + Retranslate.onLanguageChanged, "path": "asset:///images/file/vcf_81x81.png"} )
        }

        listItemComponents: [
            ListItemComponent {
                StandardListItem {
                    title: ListItemData.name
                    imageSource: ListItemData.path
                }
            }
        ]
        
        attachedObjects: [
        	ComponentDefinition {
        		id: definition
            },
        	
			FilePicker {
			    id: filePicker
	            title: qsTr("Select Picture") + Retranslate.onLanguageChanged
	            type: FileType.Picture
	            
	            onFileSelected : {
	                app.handleFileSelected(selectedFiles[0])
	            }
			}
        ]
        
        function onAvatarSelected(avatar) {
            navPane.pop() // pop avatarpicker page
            app.samplePictureSelected(avatar)
        }
        
        function onCancelled() {
            navPane.pop() // pop avatarpicker page
        }
        
        onTriggered: {
            if (indexPath == 0) {
                filePicker.open()
            } else if (indexPath == 1) {
                definition.source = "AvatarPicker.qml"
                var page = definition.createObject()
                page.avatarSelected.connect(onAvatarSelected)
                page.cancelled.connect(onCancelled)
                
                navPane.push(page)
            }
        }
    }
}
