import bb.cascades 1.0

Container
{
    signal stateChanged(bool checked)
    
    property string labelText: ""
    property alias textStyle: label.textStyle
       
	
	property alias toggleButtonInstance: toggleButton
    property bool userDriven: false
    property bool enableMode: false
    
    bottomMargin: 20//_UILayoutManager.defaultPadding
    
    layout: StackLayout {
        orientation: LayoutOrientation.LeftToRight
    }
    
        Label
        {
            id: label
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }
    
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Center
            multiline: true
    
            textStyle.base: SystemDefaults.TextStyles.BodyText
            text: labelText
        }
    
    ToggleButton
    {
        id: toggleButton
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        checked: enableMode
        
        onTouch: {
            userDriven = true
        }
                
        onCheckedChanged: {
            if (userDriven) {
                stateChanged(checked)
            }
        }
    }
}