import bb.cascades 1.0

Page {
    property bool showVoiceNoteOnly: false
    property bool showHighlightBorder: false
    property bool onBlendMode: false
    
    id: attachItemsPage
    titleBar: TitleBar {
        title: qsTr("Attach") + Retranslate.onLanguageChanged
    }
    ListView {
        objectName: "list"
        dataModel: ArrayDataModel {
            id: theDataModel
        }
        function loadDataModel() {
            theDataModel.clear();
            if (! showVoiceNoteOnly) {
                theDataModel.append([
                        {
                            "name": qsTr("Picture"),
                            "path": "asset:///images/file/pic_81x81.png"
                        },
                        {
                            "name": qsTr("File"),
                            "path": "asset:///images/file/generic_81x81.png"
                        },
                        {
                            "name": qsTr("Desktop File"),
                            "path": "asset:///images/file/generic_81x81.png"
                        }
                        ]);
            }
        }

        listItemComponents:[
            
            ListItemComponent {
            
                Container{
            
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    
                    Container {
                        layout: DockLayout {}
                        
                        layoutProperties: StackLayoutProperties {
                            spaceQuota: 1
                        }

                        ImageView {
                            id: listitemPressedImage
                            imageSource: "asset:///images/listitem/core_listitem_pressed_9slice.amd"
                            visible: false
                            horizontalAlignment: HorizontalAlignment.Fill
                            verticalAlignment: VerticalAlignment.Fill
                        }

                        Container {
                           layout: StackLayout {                  
                            orientation: LayoutOrientation.LeftToRight
                            }

                            leftPadding: 0; rightPadding: 20; topPadding: 0; bottomPadding: 0

                            Container {	
                                layout: DockLayout {}

                                preferredHeight: 41
                                preferredWidth: 41
                                
                                ImageView {
                                    imageSource: ListItemData.path
                                    scalingMethod: ScalingMethod.AspectFit
                                    
                                    horizontalAlignment: HorizontalAlignment.Center
                                    verticalAlignment: VerticalAlignment.Center
                                }
                            }
                            
                            Container {	
                                layout: DockLayout {}
                                
                                horizontalAlignment: HorizontalAlignment.Fill;
                                verticalAlignment: VerticalAlignment.Fill;
                                                    
                                Label { 
                                    text: ListItemData.name 
                                    textStyle.fontSize: FontSize.Large
                                    horizontalAlignment: HorizontalAlignment.Left
                                    verticalAlignment: VerticalAlignment.Center
                            }
                        }

                }
                    
                        Container {
                            id: itemSeparator
                            background: _UIStyleManager.separatorColor
                            visible: true
                            
                            preferredHeight: 2	
                            horizontalAlignment: HorizontalAlignment.Fill
                            verticalAlignment: VerticalAlignment.Bottom
                        }
                        
                    onTouch: {
                            if (event.isDown()) {
                                itemSeparator.visible = false
                                listitemPressedImage.visible = true
                            }
                            if (event.isUp()) {
                                itemSeparator.visible = true
                                listitemPressedImage.visible = false
                            }
                            if (event.isCancel()) {
                                itemSeparator.visible = true
                                listitemPressedImage.visible = false
                            }
                        }
                        onTouchExit: {
                            itemSeparator.visible = true
                            listitemPressedImage.visible = false
                        }
                    }
                }
            }
        ]
    }
}
