import bb.cascades 1.0

Container {
    property string labelText: ""
    property string imagePath: ""
    property bool showBusy: false
    objectName: "container"

    layout: DockLayout {}

	minWidth: 124
	maxWidth: 124
	minHeight: 124
	maxHeight: 124
	
	topPadding: 4
	leftPadding: 4
	
    ImageView {
        id: image
        objectName: "image"
        imageSource: imagePath
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        scalingMethod: ScalingMethod.AspectFill
    }

    ImageView {
        objectName: "splat"
        visible: false
        imageSource: "asset:///images/splat54x54.png"
        verticalAlignment: VerticalAlignment.Top
        horizontalAlignment: HorizontalAlignment.Right
    }

    Container { //this is a placeholder for highlight imageview
        objectName: "highlightContainer"
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        layout: DockLayout {}
    }

    Container {
        layout: DockLayout {}
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Bottom
        visible: label.text.length != 0
        
        ImageView {
            imageSource: "asset:///images/listitem/contact_grid_name_shadow.png"
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            topMargin: 0
            leftMargin: 0
            rightMargin: 0
            bottomMargin: 0
        }

        Container {
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Center
            leftPadding: busy.visible ? 0 : 10
            rightPadding: 10
            topPadding: 5
            bottomPadding: 5

            ImageView {
                id: busy
                objectName: "busy"
                imageSource: "asset:///images/message_states/50x50_busy.png"
                visible: showBusy
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
                topMargin: 0
                leftMargin: 0
                rightMargin: 0
                bottomMargin: 0
            }

            //Reserve the exact space of the icon on each side of the name label to make it look centered
            Label {
                id: label
                objectName: "label"
                text: labelText
                horizontalAlignment: HorizontalAlignment.Left
                verticalAlignment: VerticalAlignment.Center
                textStyle.fontSize: FontSize.XSmall
                textStyle.color: Color.White
                content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveTextOff
                topMargin: 0
                leftMargin: 0
                rightMargin: 0
                bottomMargin: 0
                layoutProperties: StackLayoutProperties {
                    spaceQuota: 1
                }
            }
        }
    }

    Container { //this is a placeholder for pressed highlight imageview
        objectName: "pressedHighlightContainer"
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        layout: DockLayout {}
    }
}
