import bb.cascades 1.0

Container {
	id:root
	
    property alias text: _lbl.text
    property int index: -1
    property int numOfPages : _UILayoutManager.numOfEmoticonPages
    signal firstPanelVisible(int value)
    
    layout: DockLayout {}
    
	Label {
	    id: _lbl
	    text: ":)"
	    textStyle.fontSize: FontSize.PointValue
        textStyle.fontSizeValue: 15
	    content.flags: TextContentFlag.Emoticons
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Center
	    
	}
	attachedObjects: [
		LayoutUpdateHandler {
	        onLayoutFrameChanged: {
            	//console.log("Layout Frame: [" + layoutFrame.x + ", " + layoutFrame.y + ", " + layoutFrame.width + ", " + layoutFrame.height + "]");
                if(numOfPages <= 2) {//L-series	                
		        	if (index == 36) {             	
		            	//The middle point is 360 (=720/2) in the portrait mode, and 640 (=1280/2) in the landscape mode
		            	firstPanelVisible(layoutFrame.x > (OrientationSupport.orientation == UIOrientation.Portrait ? 360 : 640) ? 0 : 1);
		            }
	            } else {//N or R series
                    //console.log("Index: " + index);
	                //five pages in total. each has 18 emoticons
                    if (index == 18) {	                    
	                    firstPanelVisible(layoutFrame.x > 360 ? 0 : 1);
                    }                    
                    else if (index == 36) {
	                    firstPanelVisible(layoutFrame.x > 360 ? 1 : 2);
                    }                    
                    else if (index == 54) { 
	                    firstPanelVisible(layoutFrame.x > 360 ? 3 : 4);
                    }
	            }
	        }
	    }
    ]
    
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
}