import bb.cascades 1.0

Container {
	signal emoticonSelected(string value);
    
	property int index_of_page_selected : 0
    property int rowNumber : _UILayoutManager.emoticonPanelNumRows
    property int numOfEmoticonPages : _UILayoutManager.numOfEmoticonPages
    

    id: root
    onCreationCompleted: { Qt.root = root; }
        
	background: Color.create("#333333")
	layout: DockLayout {}
    
	Container {
        topPadding: 5
        bottomPadding: 5
        
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
		
	    Container { // Pane indicator
	        layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
        	}
		    horizontalAlignment: HorizontalAlignment.Center
		    verticalAlignment: VerticalAlignment.Fill
	        
	        preferredHeight: 20
	        
	        ImageView {
	            id: first
	            preferredWidth: 10
	            preferredHeight: 10
	            rightPadding: 5
                imageSource: index_of_page_selected == 0 ? "asset:///emoticons/panel_index_selected.png" : "asset:///emoticons/panel_index.png";
	        }
	        ImageView {
	            id: second
	            preferredWidth: 10
	            preferredHeight: 10
                imageSource: index_of_page_selected == 1 ? "asset:///emoticons/panel_index_selected.png" : "asset:///emoticons/panel_index.png";        
	        }
            ImageView {
                id: thrid
                preferredWidth: 10
                preferredHeight: 10
                rightPadding: 5
                visible: numOfEmoticonPages > 2 ? true : false
                imageSource: index_of_page_selected == 2 ? "asset:///emoticons/panel_index_selected.png" : "asset:///emoticons/panel_index.png";
            }
            ImageView {
                id: fourth
                preferredWidth: 10
                preferredHeight: 10
                visible: numOfEmoticonPages > 2 ? true : false
                imageSource: index_of_page_selected == 3 ? "asset:///emoticons/panel_index_selected.png" : "asset:///emoticons/panel_index.png";       
            }
            ImageView {
                id: fifth
                preferredWidth: 10
                preferredHeight: 10
                visible: numOfEmoticonPages > 2 ? true : false
                imageSource: index_of_page_selected == 4 ? "asset:///emoticons/panel_index_selected.png" : "asset:///emoticons/panel_index.png";       
            }
	    }
	    
	    ListView {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            snapMode: SnapMode.LeadingEdge
	        scrollIndicatorMode: ScrollIndicatorMode.None

            rightPadding: OrientationSupport.orientation == UIOrientation.Portrait ? 0 : 10
            leftPadding: OrientationSupport.orientation == UIOrientation.Portrait ? 0 : 10
	        
	        layout: GridListLayout {
	            orientation: LayoutOrientation.LeftToRight
	            columnCount: _UILayoutManager.emoticonPanelNumRows

                horizontalCellSpacing: 0
	            verticalCellSpacing: 0
                cellAspectRatio: _UILayoutManager.emoticonListAspectRatio
	        }
	
	        dataModel: ArrayDataModel {
	        	id: dm
	        }
	        
	        onCreationCompleted: {
        	    dm.append([":)", ";)", ":D", "=D", "=))", "({})", "\\=D/", "<=-P", ":p", ";;)", "<3<3", ":*", ":|", 
        	        "/:)", ":>", "3-|", ":]x", ">:/", "8-|", ":]Y", ":s", ":&", ":]xx", ":(", ":'(", ">:O", ":$", 
        	        "#:-s", ":/", ":O", "X_X", "(=|", ":x", "O:)", ">=)", "*nerd*", "B-)", "=)]", "=]min", "=-c", 
        	        "~o)", "*beer*", "*wine*", "*dine*", "@>--", "*gift*", "*bday*", "(*)", "*fly*", "=]()", "*music*", 
        	        "=-?", "*...*", "(y)", "(n)", "<3", "</3", "|:o|", "\\m/", "|-)", "!-)", "8-}", ":G", 
        	        "x-o", "~:-)", ";-shh", ":E>", "*snow*", "*sun*", "*rain*", "*storm*", "*pic*", "*idea*", "*run*"]);
	        }
	     
	        onTriggered: {
	            var text = dataModel.data(indexPath);
	            emoticonSelected(text);
	        }

	        listItemComponents: [
	            ListItemComponent {
	                Emoticon {
	               		text: ListItemData.toString()
	               		index: ListItem.indexPath[0]
	               		onFirstPanelVisible: {
                               console.log("index_of_page_selected" + value);
                               Qt.root.index_of_page_selected = value;
	               		}
	               	}
	            }
	        ]
	    }
    }
    
	ImageView {
        imageSource: "asset:///images/title_bar/core_titlebar_dropdown_shadow_top.png"
		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Top
    }
}
